Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2890253002: [subresource_filter] Move OnReloadRequested to the ChromeClient (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 days, 19 hours ago by Charlie Harrison
Modified:
3 days, 19 hours ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, subresource-filter-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[subresource_filter] Move OnReloadRequested to the ChromeClient This functionality is only needed in the //chrome layer. This CL doesn't change behavior. BUG=717590 Review-Url: https://codereview.chromium.org/2890253002 Cr-Commit-Position: refs/heads/master@{#473453} Committed: https://chromium.googlesource.com/chromium/src/+/8c425f992cc443505b84998b0e20330592ff6393

Patch Set 1 #

Patch Set 2 : android #

Patch Set 3 : remove from the base class #

Total comments: 8

Patch Set 4 : rebase on #473448 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -49 lines) Patch
M chrome/browser/subresource_filter/chrome_subresource_filter_client.h View 1 2 2 chunks +3 lines, -1 line 0 comments Download
M chrome/browser/subresource_filter/chrome_subresource_filter_client.cc View 1 chunk +16 lines, -0 lines 0 comments Download
M chrome/browser/subresource_filter/subresource_filter_browsertest.cc View 3 chunks +5 lines, -14 lines 0 comments Download
M chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc View 1 2 chunks +1 line, -3 lines 0 comments Download
M chrome/browser/ui/content_settings/content_setting_bubble_model.cc View 2 chunks +2 lines, -4 lines 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory.h View 1 2 3 1 chunk +0 lines, -3 lines 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory.cc View 1 2 3 2 chunks +0 lines, -18 lines 0 comments Download
M components/subresource_filter/content/browser/content_subresource_filter_driver_factory_unittest.cc View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
M components/subresource_filter/content/browser/subresource_filter_client.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M components/subresource_filter/content/browser/subresource_filter_safe_browsing_activation_throttle_unittest.cc View 1 2 3 1 chunk +0 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (18 generated)
Charlie Harrison
bmcquade: Could you PTAL? pkasting: PTAL at chrome/browser/ui? (trivial)
5 days, 5 hours ago (2017-05-19 12:52:46 UTC) #9
Bryan McQuade
lgtm https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc File chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc#newcode81 chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc:81: ChromeSubresourceFilterClient::FromWebContents(web_contents) just to be sure - the ChromeSubresourceFilterClient ...
5 days, 4 hours ago (2017-05-19 13:24:21 UTC) #12
Charlie Harrison
https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc File chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc#newcode81 chrome/browser/ui/android/content_settings/subresource_filter_infobar_delegate.cc:81: ChromeSubresourceFilterClient::FromWebContents(web_contents) On 2017/05/19 13:24:21, Bryan McQuade wrote: > just ...
5 days, 4 hours ago (2017-05-19 13:35:00 UTC) #13
Peter Kasting
LGTM
5 days, 1 hour ago (2017-05-19 16:52:52 UTC) #16
Peter Kasting
https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc#newcode1269 chrome/browser/ui/content_settings/content_setting_bubble_model.cc:1269: ChromeSubresourceFilterClient::FromWebContents(web_contents()) On 2017/05/19 13:35:00, Charlie Harrison wrote: > On ...
5 days ago (2017-05-19 17:18:13 UTC) #17
Charlie Harrison
https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc#newcode1269 chrome/browser/ui/content_settings/content_setting_bubble_model.cc:1269: ChromeSubresourceFilterClient::FromWebContents(web_contents()) On 2017/05/19 17:18:13, Peter Kasting wrote: > On ...
5 days ago (2017-05-19 17:25:51 UTC) #18
Peter Kasting
https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc#newcode1269 chrome/browser/ui/content_settings/content_setting_bubble_model.cc:1269: ChromeSubresourceFilterClient::FromWebContents(web_contents()) On 2017/05/19 17:25:50, Charlie Harrison wrote: > On ...
5 days ago (2017-05-19 17:31:52 UTC) #19
Charlie Harrison
https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right): https://codereview.chromium.org/2890253002/diff/40001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc#newcode1269 chrome/browser/ui/content_settings/content_setting_bubble_model.cc:1269: ChromeSubresourceFilterClient::FromWebContents(web_contents()) On 2017/05/19 17:31:52, Peter Kasting wrote: > On ...
5 days ago (2017-05-19 17:39:06 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890253002/40001
5 days ago (2017-05-19 17:40:04 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/442598)
5 days ago (2017-05-19 17:49:55 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2890253002/60001
3 days, 20 hours ago (2017-05-20 21:26:25 UTC) #27
commit-bot: I haz the power
3 days, 19 hours ago (2017-05-20 22:46:08 UTC) #30
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/8c425f992cc443505b84998b0e20...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06